.gform_wrapper form {
  position: relative;
}

.gform_heading {
  display: none;
}

.gform_wrapper ul,
.gform_wrapper ol {
  list-style: none;
  padding-left: 0;
}

.gform_fields {
  display: flex;
  justify-content: space-between;
  flex-flow: row wrap;
}

.gform_fields .gfield {
  width: 100%;
  margin-top: 0;
  margin-bottom: 16px;
}

.gfield .gfield_label {
  font-size: 18px !important;
  margin-bottom: 4px;
  font-weight: 700 !important;
}

body .gform-theme--foundation .gfield input:focus,
body .gform-theme--foundation .gfield textarea:focus {
  outline: none;
  border: 1px solid #383838 !important;
}

body .gfield input.LV_valid_field,
body .gfield textarea.LV_valid_field {
  border: 1px solid #05c168 !important;
  color: var(--black) !important;
}

body .gform-theme--foundation .gfield input[type="text"],
body .gform-theme--foundation .gfield input[type="email"],
body .gform-theme--foundation .gfield input[type="tel"],
.gfield--type-fileupload .gform_fileupload_rules {
  border-radius: 8px;
  border: 1px solid #cecece;
  height: 48px;
  padding: 16px;
}

.gfield.gfield_error input {
  border: 1px solid #ed071b !important;
}

.gform-theme--orbital .gfield_error .gfield_repeater_cell label,
.gform-theme--orbital .gfield_error label,
.gform-theme--orbital .gfield_error legend,
.gform-theme--orbital .gfield_validation_message,
.gform-theme--orbital .validation_message,
.gform-theme--orbital [aria-invalid="true"] + label,
.gform-theme--orbitallabel + [aria-invalid="true"] {
  color: #c02b0a !important;
}

.ginput_container.ginput_container_fileupload {
  position: relative !important;
}
.gform_heading {
  display: none !important;
}
body
  .gform-theme--foundation
  .gfield
  input[type="text"]::-webkit-input-placeholder,
body
  .gform-theme--foundation
  .gfield
  input[type="email"]::-webkit-input-placeholder,
body
  .gform-theme--foundation
  .gfield
  input[type="tel"]::-webkit-input-placeholder,
body .gform-theme--foundation .gfield textarea::-webkit-input-placeholder {
  color: #cecece;
}

body .gform-theme--foundation .gfield textarea {
  border: 1px solid #cecece;
  border-radius: 8px;
  padding: 12px;
  height: 96px;
}

body .gform-footer .gform_button.button {
  background-color: var(--magenta) !important;
  border-radius: 45px !important;
  padding: 6px 24px 6px 60px !important;
  height: 53px !important;
  background: url(/wp-content/uploads/2026/01/chev-right-white.svg) no-repeat;
  background-position: 6px;
  background-size: 42px;
}

body .gform-theme--foundation .gform_fields {
  row-gap: 0;
}

body .gform_fields .gfield.gfield--type-choice.gf-checkbox-lg {
  margin-bottom: 60px;
}

body .gform_fields .gfield.gf-input-lg {
  margin-bottom: 24px;
}

.gfield_label .gfield_required {
  color: var(--red);
}

.gfield_checkbox {
  display: flex;
  flex-flow: row wrap;
  align-items: flex-start;
}

.gfield_radio li,
.gfield_checkbox li {
  display: flex;
  align-items: flex-start;
  flex-flow: row wrap;
}

.gfield_radio input,
.gfield_checkbox input {
  margin-bottom: 4px;
}

.gfield_radio label,
.gfield_checkbox label {
  display: inline-block;
  width: calc(100% - 20px);
  padding-left: 14px;
  margin-top: -2px;
  font-size: var(--text-base);
  line-height: var(--lineheight-xs);
  cursor: pointer;
}

.gfield_checkbox .gchoice,
.gfield_radio .gchoice {
  display: flex;
  flex-flow: row wrap;
  width: 100%;
}

.gfield_checkbox .gchoice:not(:last-child),
.gfield_radio .gchoice:not(:last-child) {
  margin-bottom: 10px;
}

.gf-checkbox-lg .gfield_checkbox > div {
  width: 48% !important;
}

.gform_button button:focus,
.gform_button button:active,
.gform_button button,
.gform_button button input:focus,
.gform_button button input:active {
  outline-color: none !important;
  outline: none !important;
  border: 1px solid var(--magenta) !important;
}

.gform_wrapper button:focus,
.gform_wrapper button:active,
.gform_wrapper input[type="submit"]:focus,
.gform_wrapper input[type="submit"]:active {
  outline: none !important;
  box-shadow: none !important;
  border: 1px solid var(--magenta) !important;
}

.gform_button:focus-visible {
  --tw-ring-shadow: 0 0 #0000;
  --tw-ring-offset-shadow: 0 0 #0000;
}

.gf-contact-card .gfield_checkbox {
  width: 100%;
  display: flex !important;
  flex-direction: row !important;
  flex-flow: row wrap;
}

.gfield--type-choice .ginput_container {
  display: flex;
  align-items: flex-start;
}

.gfield--type-choice input[type="checkbox"] {
  width: 12px;
  min-width: 12px;
  height: 12px;
  min-height: 12px;
  margin-top: 6px;
  border-radius: 2px;
  border-color: var(--black);
  background-size: 8px;
}

.gfield.gfield--type-choice .ginput_container input[type="checkbox"] {
  padding: 0;
}

.gfield--type-choice .gform-field-label {
  width: calc(100% - 12px);
  font-size: 15px;
  color: var(--black);
  cursor: pointer;
}

.ginput_container_select .select2-container {
  width: 100%;
  max-width: 100%;
  min-width: 100%;
}

.gform_fileupload_rules {
  display: none;
}

.ginput_container_fileupload {
  position: relative;
  width: 100%;
  min-height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: var(--padding-field);
  border: solid 1px var(--black);
  border-radius: var(--rounded-sm);
  font-size: var(--text-sm);
  color: var(--black);
  transition: var(--transition);
  line-height: var(--lineheight-s);
}

.ginput_container_fileupload ~ .gfield_description {
  display: none;
}
/* 
.ginput_container_fileupload .gfield_description:after,
.ginput_preview_list .gfield_fileupload_filename:after {
  content: "";
  display: inline-block;
  width: 14px;
  height: 17px;
  margin-left: 12px;
  margin-bottom: -3px;
  background: url("/wp-content/themes/whello/assets/images/icon-upload-gray.svg")
    center/contain no-repeat;
} */

.ginput_container_fileupload input[type="file"] {
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding-top: 10px;
  opacity: 0;
  cursor: pointer;
}

.gfield_file_preview {
  display: block;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 1;
  text-align: center;
}

/* .ginput_container_fileupload.ginput_has_value .gfield_description,
.ginput_container_fileupload:not(.ginput_has_value) .gfield_file_preview {
  display: none;
} */

.gfield.hidden_label .gfield_label,
.gfield .gfield_description.validation_message {
  display: none;
}

.ginput_preview_list + .gfield_description {
  display: none;
}

.ginput_preview_list .gform_delete_file {
  display: none;
}

.ginput_preview_list .gfield_fileupload_progress {
  display: none;
}

.gfield input.LV_invalid_field,
.gfield select.LV_invalid_field,
.gfield textarea.LV_invalid_field,
.gfield.gfield_error input[aria-invalid="true"],
.gfield.gfield_error select[aria-invalid="true"],
.gfield.gfield_error textarea[aria-invalid="true"] {
  padding-right: 36px;
  border-color: var(--red);
  color: var(--red);
  background-image: url("/wp-content/themes/whello/assets/images/icon-times-red.svg");
}

.gfield input.LV_valid_field,
.gfield select.LV_valid_field,
.gfield textarea.LV_valid_field {
  padding-right: 36px;
  border-color: var(--green);
  background-image: url("/wp-content/themes/whello/assets/images/icon-check-green.svg");
}

.gfield input.LV_invalid_field.gfield-choice-input,
.gfield select.LV_invalid_field.gfield-choice-input,
.gfield textarea.LV_invalid_field.gfield-choice-input,
.gfield.gfield_error input.gfield-choice-input[aria-invalid="true"],
.gfield.gfield_error select.gfield-choice-input[aria-invalid="true"],
.gfield.gfield_error textarea.gfield-choice-input[aria-invalid="true"],
.gfield input.LV_valid_field.gfield-choice-input,
.gfield select.LV_valid_field.gfield-choice-input,
.gfield textarea.LV_valid_field.gfield-choice-input {
  padding-right: 0;
}

.gfield input.LV_valid_field.gfield-choice-input {
  border-color: var(--black);
}

.gfield.gfield_error .ginput_container_fileupload {
  border-color: var(--red);
  color: var(--red);
}

.gfield.gfield_valid .ginput_container_fileupload {
  border-color: var(--green);
  color: var(--dark);
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 15px;
}

.gform_wrapper .gform_footer {
  position: relative;
  width: 100%;
  display: flex;
  flex-flow: row wrap;
}

.gform_footer .gform_ajax_spinner {
  position: absolute;
  top: 0;
  left: 0;
  width: 18px;
  height: 18px;
  background-color: var(--white);
  transform: translateX(-50%) translateY(-50%);
  opacity: 0;
  transition: var(--transition);
}

.gfield.gfield--type-choice .ginput_container input[type="checkbox"] {
  padding: 0;
  border: 1px solid #cecece;
  border-radius: 2px;
}

.gfield_checkbox .gchoice label {
  padding-left: 0px;
  font-size: 16px;
}

.gform-theme--framework
  input[type="checkbox"]:where(
    :not(.gform-theme__disable):not(.gform-theme__disable *):not(
        .gform-theme__disable-framework
      ):not(.gform-theme__disable-framework *)
  ) {
  accent-color: transparent;
}

/* .gform_button:focus ~ .gform_ajax_spinner {
	opacity: 1;
} */

.gform_button {
  position: relative;
  overflow: hidden;
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  font-size: var(--text-base);
  line-height: var(--lineheight);
  color: var(--white);
  padding: var(--padding-button);
  border: 1px solid var(--blue);
  border-radius: var(--rounded-sm);
  background-color: var(--blue);
}

.gform_button:hover {
  border-color: var(--orange);
  background-color: var(--orange);
}

.gform_button::after {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  margin-left: 10px;
  /* background: url("/wp-content/themes/whello/assets/icons/arrow-bowwhite-right.svg")
    center/16px no-repeat; */
  transform: translateX(0);
  transition: var(--transition);
}

.gform_button:hover::after {
  transform: translateX(3px);
}

.gform_wrapper .gform_button.gform-button--width-full {
  width: 100%;
}

.gform_wrapper .validation_error {
  display: none;
  padding: 10px 16px;
  margin-bottom: 10px;
  background-color: #ffdada;
  font-size: var(--text-sm);
}

.gform_submission_error {
  font-size: var(--text-sm);
  padding: 10px;
  border-radius: var(--rounded-sm);
  background-color: var(--gray-300);
  color: var(--red);
}

@media all and (min-width: 601px) {
  /* .gform_fields .gfield.gfield--width-half {
		max-width: calc(50% - (20px / 2));
	} */

  .gform_fields .gfield.gfield--width-third {
    max-width: calc(33.33% - (20px / 3));
  }

  .gform_fields .gfield.gfield--type-choice {
    margin-top: 8px;
  }
}

@media all and (max-width: 600px) {
  .gform_button {
    width: 100%;
  }
}
